Quassel IRC - Bug #1247

Setup with PostgreSQL fails to create new users
10/17/2013 03:15 AM - davidstrauss

Status: New Start date: 10/17/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour
Target version:

Version: 0.9-pre 0S: Linux
Description

Based on web searches for "Unable to add user", this is not an uncommon problem.

[root@quassel ~]# su - quassel -c "quasselcore —--select-backend=PostgreSQL"
("QSQLITE", "QPSQL7", "QPSQL")

("QSQLITE", "QPSQL7", "QPSQL")

Default values are in brackets

Username (quassel):

Password:

Hostname (localhost):

Port (5432):

Database (quassel):

Storage Schema is missing!

NOTICE: CREATE TABLE
asseluser.userid"

NOTICE: CREATE TABLE
eluser"

NOTICE: CREATE TABLE
asseluser"

NOTICE: CREATE TABLE
r.senderid"

NOTICE: CREATE TABLE
NOTICE: CREATE TABLE
NOTICE: CREATE TABLE

dentity.identityid"

NOTICE: CREATE TABLE
AL

NOTICE: CREATE TABLE
able "identity"
NOTICE: CREATE TABLE

identity_nick.nickid"

NOTICE: CREATE TABLE
ntity_nick"

NOTICE: CREATE TABLE
table "identity_nick"
NOTICE: CREATE TABLE
work.networkid"
NOTICE: CREATE TABLE
NOTICE: CREATE TABLE
le "network"

NOTICE: CREATE TABLE
r.bufferid"

NOTICE: CREATE TABLE
NOTICE: CREATE TABLE
" for table "buffer"
NOTICE: CREATE TABLE
klog.messageid"
NOTICE: CREATE TABLE
NOTICE: CREATE TABLE
A\l

NOTICE: CREATE TABLE

cserver.serverid"

05/24/2025

will create implicit sequence "quasseluser_userid_seq" for serial column "qu

/ PRIMARY KEY will create implicit index "quasseluser_pkey" for table "quass
/ UNIQUE will create implicit index "quasseluser_username_key" for table "qu

will create implicit sequence "sender_senderid_seq" for serial column "sende
/ PRIMARY KEY will create implicit index "sender_pkey" for table "sender"
/ UNIQUE will create implicit index "sender_sender_key" for table "sender"
AL
i

will create implicit sequence "identity_identityid_seq" for serial column

/ PRIMARY KEY will create implicit index "identity_pkey" for table "identity
/ UNIQUE will create implicit index "identity_userid_identityname_key" for t

will create implicit sequence "identity_nick_nickid_seq" for serial column "

/ PRIMARY KEY will create implicit index "identity_nick_pkey" for table "ide
/ UNIQUE will create implicit index "identity_nick_identityid_nick_key" for

will create implicit sequence "network_networkid_seq" for serial column "net

/ PRIMARY KEY will create implicit index "network_pkey" for table "network"
/ UNIQUE will create implicit index "network_userid_networkname_key" for tab

will create implicit sequence "buffer_bufferid_seq" for serial column "buffe
/ PRIMARY KEY will create implicit index "buffer_pkey" for table "buffer"

/ UNIQUE will create implicit index "buffer_userid_networkid_buffercname_key
will create implicit sequence "backlog_messageid_seq" for serial column "bac
/ PRIMARY KEY will create implicit index "backlog_pkey" for table "backlog"
/ PRIMARY KEY will create implicit index "coreinfo_pkey" for table "coreinfo
for serial column "ir

will create implicit sequence "ircserver_serverid_seq"
NOTICE:
er"
NOTICE:
_setting"
2013-10-17 00:36:19 Info:
Switched backend to: PostgreSQL
No currently active backend.
New backend does not support migration:
Add a new user:

Skipping migration.
PostgreSQL
Username: straussd
Password:

Repeat Password:

Unable to add user: straussd

CREATE TABLE / PRIMARY KEY will create implicit index "ircserver_pkey" for table "ircserv
CREATE TABLE / PRIMARY KEY will create implicit index "user_setting_pkey" for table "user

PostgreSQL Storage Backend is ready. Quassel Schema Version: 16

History

#1-10/17/2013 03:24 AM - davidstrauss

A workaround is explicitly adding the user post-setup. We can downgrade this from "urgent" since there is a way to get it working anyway.

[quassel@quassel ~]$ quasselcore --add-user
("QSQLITE", "QPSQL7", "QPSQL")

2013-10-17 01:20:17 Info:
Add a new user:

Username: straussd
Password:

Repeat Password:

Added user straussd successfully!

#2 - 11/26/2013 09:42 PM - Anonymous

- Priority changed from Urgent to Normal

#3 - 06/13/2022 01:33 AM - jjakob
Still present in 0.14.0.

05/24/2025

PostgreSQL Storage Backend is ready.

Quassel Schema Version: 16
